from Stepper import Stepper

class BilaPani:
    ZNAK = '&'

    def __init__( self, x, y ):
        # Pozice
        self.x = x
        self.y = y

        # Predpokladej, ze nezaciname ve zdi
        self.veZdi = False

    def setPath( self, path ):
        self.stepper = Stepper( path )

    def nextStep( self, bludiste ):
        dx, dy = self.stepper.getD( bludiste.step - 1 )
        bludiste.unsetBilaPani( self.x + dx, self.y + dy )

        dx, dy = self.stepper.getD( bludiste.step )
        bludiste.setBilaPani( self.x + dx, self.y + dy )

    def prevStep( self, bludiste ):
        dx, dy = self.stepper.getD( bludiste.step + 1 )
        bludiste.unsetBilaPani( self.x + dx, self.y + dy )

        dx, dy = self.stepper.getD( bludiste.step )
        bludiste.setBilaPani( self.x + dx, self.y + dy )
