#!/usr/bin/env python

import sys
import curses
from Bludiste import Bludiste

if 2 > len( sys.argv ):
    print "Usage: %s <soubor>" % sys.argv[0]
    print "  soubor - zdrojovy soubor bludiste"
    sys.exit(-1)

if __name__ == "__main__":
    # Raise the recursion limit due to a recursive implementation
    sys.setrecursionlimit( 5000 )

    w = curses.initscr()
    curses.cbreak()
    curses.noecho()
    w.keypad(True)

    # Start the program
    b = Bludiste( open( sys.argv[1], "r" ) )
    b.run( w )

    # w.getch()
    curses.endwin()
