class Cestar:
    def __init__( self, bludiste ):
        # Bludiste
        self.bludiste = bludiste
        # Navstivena pole
        self.historie = []
        for i in range( bludiste.vyska() ):
            self.historie.append( [] )
            for j in range( bludiste.sirka() ):
                self.historie[i].append('.')

    def hledejCestu( self, dx, dy, nowalls, path = "" ):
        # Nejdriv zkus idealni cestu
        if abs( self.bludiste.bilaPani.x + dx - self.bludiste.televize.x ) \
                < abs( self.bludiste.bilaPani.y + dy - self.bludiste.televize.y ):
            # Chceme hybat s Y
            if ( self.bludiste.bilaPani.y + dy ) < self.bludiste.televize.y:
                newPath = self.zkusCestu( dx, dy + 1, nowalls, path + "v" )
                if newPath:
                    return newPath
            else:
                newPath = self.zkusCestu( dx, dy - 1, nowalls, path + "^" )
                if newPath:
                    return newPath
        else:
            # Chceme hybat s X
            if ( self.bludiste.bilaPani.x + dx ) < self.bludiste.televize.x:
                newPath = self.zkusCestu( dx + 1, dy, nowalls, path + ">" )
                if newPath:
                    return newPath
            else:
                newPath = self.zkusCestu( dx - 1, dy, nowalls, path + "<" )
                if newPath:
                    return newPath

        # Zkus vsechny cesty
        newPath = self.zkusCestu( dx + 1, dy, nowalls, path + ">" )
        if newPath:
            return newPath
        newPath = self.zkusCestu( dx - 1, dy, nowalls, path + "<" )
        if newPath:
            return newPath
        newPath = self.zkusCestu( dx, dy + 1, nowalls, path + "v" )
        if newPath:
            return newPath
        newPath = self.zkusCestu( dx, dy - 1, nowalls, path + "^" )
        if newPath:
            return newPath

        # Smula
        return False

    def zkusCestu( self, dx, dy, nowalls, path ):
        # print "Zkousim %d, %d" % ( dx, dy ),

        # Platne x
        if self.bludiste.sirka() <= ( self.bludiste.bilaPani.x + dx ) or ( self.bludiste.bilaPani.x + dx ) < 0:
            # print "out-of-bounds"
            return False
        # Platne y
        if self.bludiste.vyska() <= ( self.bludiste.bilaPani.y + dy ) or ( self.bludiste.bilaPani.y + dy ) < 0:
            # print "out-of-bounds"
            return False
        # Je zed?
        if not nowalls and self.bludiste.jeZed( self.bludiste.bilaPani.x + dx, self.bludiste.bilaPani.y + dy ):
            # print "zed"
            return False
        # Je zved?
        if self.bludiste.jeZved( self.bludiste.bilaPani.x + dx, self.bludiste.bilaPani.y + dy ):
            # print "zved"
            return False
        # Podivej do historie
        if '.' != self.historie[self.bludiste.bilaPani.y + dy][self.bludiste.bilaPani.x + dx]:
            # print "historie"
            return False

        # print ""

        # Zapis do historie
        self.historie[self.bludiste.bilaPani.y + dy][self.bludiste.bilaPani.x + dx] = '*'

        # Nejsme uz na miste?
        if ( self.bludiste.bilaPani.x + dx ) == self.bludiste.televize.x and \
                ( self.bludiste.bilaPani.y + dy ) == self.bludiste.televize.y:
            return path

        # Pokracuj v hledani
        newPath = self.hledejCestu( dx, dy, False, path )
        if newPath:
            return newPath
        elif nowalls:
            newPath = self.hledejCestu( dx, dy, True, path )
            if newPath:
                return newPath

        # Blokni v historii
        self.historie[self.bludiste.bilaPani.y + dy][self.bludiste.bilaPani.x + dx] = 'X'
        # Konec
        return False
        
    def vytiskniCestu( self, w ):
        for radek in self.historie:
            for c in radek:
                w.addstr( c + ' ' )
            w.addch( '\n' )
