from Stepper import Stepper

class Zved:
    ZNAK = '@'

    def __init__( self, soubor, x, y ):
        # Pozice
        self.x = x
        self.y = y

        # Pohyb
        pohyb = []

        # Nacti pohyb
        c = soubor.read(1)
        # Je platny?
        while c in ( "<", ">", "v", "^" ):
            # Uloz ho do pohybu
            pohyb.append( c )
            # Nacti dalsi
            c = soubor.read(1)

        # Nacetli jsme znak navic, seek zpet
        soubor.seek( -1, 1 )

        # Udelej si stepper
        self.stepper = Stepper( pohyb )

    def nextStep( self, bludiste ):
        dx, dy = self.stepper.getD( bludiste.step - 1 )
        bludiste.unsetZved( self.x + dx, self.y + dy )

        dx, dy = self.stepper.getD( bludiste.step )
        bludiste.setZved( self.x + dx, self.y + dy )

    def prevStep( self, bludiste ):
        dx, dy = self.stepper.getD( bludiste.step + 1 )
        bludiste.unsetZved( self.x + dx, self.y + dy )

        dx, dy = self.stepper.getD( bludiste.step )
        bludiste.setZved( self.x + dx, self.y + dy )
